> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# View compatible programs when moving entities

> Moves an entity to a different program,
     *          retrieves necessary details for the move operation including compatible programs,
     *          entity details, and more.



## OpenAPI

````yaml get /admin/move/{entity_id}/compatible_programs
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/move/{entity_id}/compatible_programs:
    get:
      tags:
        - Programs
      summary: View compatible programs when moving entities
      description: |-
        Moves an entity to a different program,
             *          retrieves necessary details for the move operation including compatible programs,
             *          entity details, and more.
      operationId: 6f7fc2c509f1b0d9d9ba62592aec3766
      parameters:
        - name: entity_id
          in: path
          description: Entity ID of the entity to move
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Entity move details fetched successfully
          content:
            application/json:
              schema:
                properties:
                  compatible_programs:
                    type: array
                    items:
                      type: object
                  count:
                    type: integer
                  name:
                    type: string
                  profile:
                    type: object
                  entity:
                    type: object
                  submit:
                    type: array
                    items:
                      type: object
                  program:
                    type: object
                  profileThumb:
                    type: string
                type: object
        '404':
          description: Entity not found
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: 'Error: Entity Is Not Found.'
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````